Package org.eclipse.cdt.utils.coff.parser

# Class GNUPEParser64

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.cdt.core.AbstractCExtension
org.eclipse.cdt.utils.coff.parser.PEParser64
org.eclipse.cdt.utils.coff.parser.GNUPEParser64

All Implemented Interfaces:
  `IBinaryParser`, `ICExtension`, `org.eclipse.core.runtime.IAdaptable`

public class GNUPEParser64 extends PEParser64

Since:
  8.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.IBinaryParser

`IBinaryParser.IBinaryArchive, IBinaryParser.IBinaryExecutable, IBinaryParser.IBinaryFile, IBinaryParser.IBinaryObject, IBinaryParser.IBinaryShared, IBinaryParser.ISymbol`

## Constructor Summary

Constructors
Constructor
Description
`GNUPEParser64()`

## Method Summary

Modifier and Type
Method
Description
`protected IBinaryParser.IBinaryArchive`
`createBinaryArchive(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryObject`
`createBinaryCore(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryExecutable`
`createBinaryExecutable(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryObject`
`createBinaryObject(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryShared`
`createBinaryShared(org.eclipse.core.runtime.IPath path)`
`protected IGnuToolFactory`
`createToolFactory()`
`<T> T`
`getAdapter(Class<T> adapter)`
`String`
`getFormat()`
Returns the name of the Format.

### Methods inherited from class org.eclipse.cdt.utils.coff.parser.PEParser64

`getBinary, getBinary, getHintBufferSize, isBinary`

### Methods inherited from class org.eclipse.cdt.core.AbstractCExtension

`getConfigExtensionReference, getExtensionReference, getProject, setExtensionReference, setExtensionReference, setProject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GNUPEParser64

public GNUPEParser64()

## Method Details

### getFormat

public String getFormat()
Description copied from interface: `IBinaryParser`
Returns the name of the Format.

Specified by:
  `getFormat` in interface `IBinaryParser`
Overrides:
  `getFormat` in class `PEParser64`
See Also:
  - `IBinaryParser.getFormat()`

### createBinaryArchive

protected IBinaryParser.IBinaryArchive createBinaryArchive(org.eclipse.core.runtime.IPath path) throws IOException

Overrides:
  `createBinaryArchive` in class `PEParser64`
Throws:
  `IOException`

### createBinaryExecutable

protected IBinaryParser.IBinaryExecutable createBinaryExecutable(org.eclipse.core.runtime.IPath path)

Overrides:
  `createBinaryExecutable` in class `PEParser64`

### createBinaryCore

protected IBinaryParser.IBinaryObject createBinaryCore(org.eclipse.core.runtime.IPath path)

Overrides:
  `createBinaryCore` in class `PEParser64`

### createBinaryObject

protected IBinaryParser.IBinaryObject createBinaryObject(org.eclipse.core.runtime.IPath path)

Overrides:
  `createBinaryObject` in class `PEParser64`

### createBinaryShared

protected IBinaryParser.IBinaryShared createBinaryShared(org.eclipse.core.runtime.IPath path)

Overrides:
  `createBinaryShared` in class `PEParser64`

### createToolFactory

protected IGnuToolFactory createToolFactory()

### getAdapter

public <T> T getAdapter(Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.core.runtime.PlatformObject`